#!/bin/bash

# The purpose of this script is to mount/unmount removable drives.
# A list of mount directories must be passed in as arguments.

# scan for mounted removable drive
for DIR in $*
do
  if grep -qs $DIR /proc/mounts
  then

    # unmount all removable drives
    for DIR in $*
    do
      umount $DIR > /dev/null 2>&1
    done
    exit

  fi
done

# mount removable drives
for DIR in $*
do
  mount $DIR > /dev/null 2>&1
done
